package app;

import java.awt.GridLayout;
import java.util.ArrayList;

import javax.swing.BorderFactory;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.SwingConstants;

public class PostavkeGUI extends JPanel{


	private static final long serialVersionUID = 1L;
	ArrayList<Postavka<?>> postavke;
	ArrayList<String> vrijednosti;
	ArrayList<JTextField> polja;
	
	public PostavkeGUI(ArrayList<Postavka<?>> postavke) {
		this.postavke=postavke;
		go();
	}
	

	public void update(ArrayList<Postavka<?>> postavke){
		this.postavke=postavke;
		go();
	}
	
	

	private void go() {
		
		this.removeAll();
		this.setLayout(new GridLayout(postavke.size(), 2));
		this.setBorder(BorderFactory.createTitledBorder("Parametri"));
		vrijednosti=new ArrayList<String>();
		polja=new ArrayList<JTextField>();
				
		for (Postavka<?> p : postavke){
			JTextField text = new JTextField(String.valueOf(p.Vrijednost), 10);
			text.setHorizontalAlignment(SwingConstants.CENTER);		
			JLabel labela = new JLabel(p.Ime,SwingConstants.CENTER);
			polja.add(text);
			vrijednosti.add(text.getText());
			this.add(labela);
			this.add(text);
		}
		
		
		
	}


	public void myDisable() {
		for (JTextField jt : polja)
			jt.setEnabled(false);
		
	}


	public void myEnable() {
		for (JTextField jt : polja)
			jt.setEnabled(true);
		
	}


	public ArrayList<String> dajVrijednosti() {
		vrijednosti=new ArrayList<String>();
		for (JTextField jt : polja)
			vrijednosti.add(jt.getText());
		return vrijednosti;
	}



}
